// src/app/api/news/route.ts
import { NextResponse } from 'next/server';

export async function GET() {
  const apiKey = process.env.JUHE_NEWS_KEY;
  const apiUrl = `https://v.juhe.cn/toutiao/index?type=top&key=${apiKey}`;

  try {
    const response = await fetch(apiUrl, { next: { revalidate: 600 } });
    const data = await response.json();

    const formattedData = data.result?.data.map((item: any) => ({
      uniquekey: item.uniquekey,
      title: item.title,
      date: item.date,
      category: item.category || "头条新闻",
      author_name: item.author_name || "未知作者",
      url: item.url,
      thumbnail_pic_s: item.thumbnail_pic_s,
      is_content: item.is_content
    })) || [];

    return NextResponse.json(formattedData);
  } catch (error) {
    return NextResponse.json(
      { error: "新闻获取失败" },
      { status: 500 }
    );
  }
}