/**
 * 魔镜应用类型定义文件
 * 包含天气、新闻、日历等数据结构的类型定义
 */

export type WeatherData = {
  temp: number;
  feelsLike: number;
  condition: string;
  sunrise: string;
  sunset: string;
  windSpeed: number;
  windDirection: string;
  uvIndex: string;
  forecast: {
    day: string;
    low: number;
    high: number;
    condition: string;
  }[];
};

export interface NewsItem {
  uniquekey: string;
  title: string;
  date: string;
  category: string;
  author_name: string;
  url: string;
  thumbnail_pic_s?: string;
  is_content: string;
}

export type CalendarDay = {
  day: number;
  isCurrent: boolean;
  isEmpty: boolean;
};